NET_GetAddressStatus(3)

NAME
NET_GetAddressStatus - Check if an address is resolved, without blocking.

SYNOPSIS
#include <SDL3_net/SDL_net.h>

NET_Status NET_GetAddressStatus(NET_Address *address);

DESCRIPTION
The NET_Address objects returned by NET_ResolveHostname take time to do their work, so it does so _asynchronously_ instead of making your program wait an indefinite amount of time.

This function allows you to check the progress of that work without blocking.

Resolution can fail after some time (DNS server took awhile to reply that the hostname isn't recognized, etc), so be sure to check the result of this function instead of assuming it worked because it's non-zero!

Once an address is successfully resolved, it can be used to connect to the host represented by the address.

FUNCTION PARAMETERS

address
    The NET_Address to query.

RETURN VALUE
Returns NET_SUCCESS if successfully resolved, NET_FAILURE if resolution failed, NET_WAITING if still resolving (this function timed out without resolution); if NET_FAILURE, call SDL_GetError() for details.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_net 3.0.0.

SEE ALSO
NET_WaitUntilResolved(3)